$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.27.18-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.27.18-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '3D378832C5854F6346291DDBCA6D4A727C1BD786EF502AF212CFCB51F1E1D83F'
  checksumType = 'sha256'
  checksum64 = '3D378832C5854F6346291DDBCA6D4A727C1BD786EF502AF212CFCB51F1E1D83F'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.27.18-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
